AfterCloseLoggingComboPooledDataSource (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.debug

## Class AfterCloseLoggingComboPooledDataSource

- java.lang.Object
- - com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
  - - com.mchange.v2.c3p0.impl.IdentityTokenResolvable
    - - com.mchange.v2.c3p0.impl.PoolBackedDataSourceBase
      - - com.mchange.v2.c3p0.impl.AbstractPoolBackedDataSource
        - - com.mchange.v2.c3p0.AbstractComboPooledDataSource
          - - com.mchange.v2.c3p0.debug.AfterCloseLoggingComboPooledDataSource

- All Implemented Interfaces:
    IdentityTokenized, PooledDataSource, java.io.Serializable, java.sql.Wrapper, javax.naming.Referenceable, javax.sql.CommonDataSource, javax.sql.DataSource

      public final class AfterCloseLoggingComboPooledDataSource
      extends AbstractComboPooledDataSource
      implements java.io.Serializable, javax.naming.Referenceable

  For the meaning of most of these properties, please see c3p0's top-level documentation!

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.mchange.v2.c3p0.impl.PoolBackedDataSourceBase

      `pcs, vcs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AfterCloseLoggingComboPooledDataSource()`
    `AfterCloseLoggingComboPooledDataSource(boolean autoregister)`
    `AfterCloseLoggingComboPooledDataSource(java.lang.String configName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.Connection` | `getConnection()`
    `java.sql.Connection` | `getConnection(java.lang.String user, java.lang.String password)`

    - ### Methods inherited from class com.mchange.v2.c3p0.AbstractComboPooledDataSource

      `getAcquireIncrement, getAcquireRetryAttempts, getAcquireRetryDelay, getAutomaticTestTable, getCheckoutTimeout, getConnectionCustomizerClassName, getConnectionTesterClassName, getContextClassLoaderSource, getDescription, getDriverClass, getFactoryClassLocation, getIdleConnectionTestPeriod, getInitialPoolSize, getJdbcUrl, getMaxAdministrativeTaskTime, getMaxConnectionAge, getMaxIdleTime, getMaxIdleTimeExcessConnections, getMaxPoolSize, getMaxStatements, getMaxStatementsPerConnection, getMinPoolSize, getOverrideDefaultPassword, getOverrideDefaultUser, getPassword, getPreferredTestQuery, getProperties, getPropertyCycle, getStatementCacheNumDeferredCloseThreads, getUnreturnedConnectionTimeout, getUser, getUserOverrides, getUserOverridesAsString, isAutoCommitOnClose, isBreakAfterAcquireFailure, isDebugUnreturnedConnectionStackTraces, isForceIgnoreUnresolvedTransactions, isForceSynchronousCheckins, isForceUseNamedDriverClass, isPrivilegeSpawnedThreads, isTestConnectionOnCheckin, isTestConnectionOnCheckout, isUsesTraditionalReflectiveProxies, isWrapperFor, setAcquireIncrement, setAcquireRetryAttempts, setAcquireRetryDelay, setAutoCommitOnClose, setAutomaticTestTable, setBreakAfterAcquireFailure, setCheckoutTimeout, setConnectionCustomizerClassName, setConnectionTesterClassName, setContextClassLoaderSource, setDebugUnreturnedConnectionStackTraces, setDescription, setDriverClass, setFactoryClassLocation, setForceIgnoreUnresolvedTransactions, setForceSynchronousCheckins, setForceUseNamedDriverClass, setIdleConnectionTestPeriod, setInitialPoolSize, setJdbcUrl, setMaxAdministrativeTaskTime, setMaxConnectionAge, setMaxIdleTime, setMaxIdleTimeExcessConnections, setMaxPoolSize, setMaxStatements, setMaxStatementsPerConnection, setMinPoolSize, setOverrideDefaultPassword, setOverrideDefaultUser, setPassword, setPreferredTestQuery, setPrivilegeSpawnedThreads, setProperties, setPropertyCycle, setStatementCacheNumDeferredCloseThreads, setTestConnectionOnCheckin, setTestConnectionOnCheckout, setUnreturnedConnectionTimeout, setUser, setUserOverridesAsString, setUsesTraditionalReflectiveProxies, toString, toString, unwrap`

    - ### Methods inherited from class com.mchange.v2.c3p0.impl.AbstractPoolBackedDataSource

      `close, close, getAllUsers, getDataSourceName, getEffectivePropertyCycle, getEffectivePropertyCycleDefaultUser, getLastAcquisitionFailure, getLastAcquisitionFailureDefaultUser, getLastCheckinFailure, getLastCheckinFailureDefaultUser, getLastCheckoutFailure, getLastCheckoutFailureDefaultUser, getLastConnectionTestFailure, getLastConnectionTestFailureDefaultUser, getLastIdleTestFailure, getLastIdleTestFailureDefaultUser, getLoginTimeout, getLogWriter, getNumBusyConnections, getNumBusyConnections, getNumBusyConnectionsAllUsers, getNumBusyConnectionsDefaultUser, getNumConnections, getNumConnections, getNumConnectionsAllUsers, getNumConnectionsDefaultUser, getNumFailedCheckins, getNumFailedCheckinsDefaultUser, getNumFailedCheckouts, getNumFailedCheckoutsDefaultUser, getNumFailedIdleTests, getNumFailedIdleTestsDefaultUser, getNumIdleConnections, getNumIdleConnections, getNumIdleConnectionsAllUsers, getNumIdleConnectionsDefaultUser, getNumThreadsAwaitingCheckout, getNumThreadsAwaitingCheckoutDefaultUser, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnectionsAllUsers, getNumUnclosedOrphanedConnectionsDefaultUser, getNumUserPools, getStartTimeMillis, getStartTimeMillisDefaultUser, getStatementCacheNumCheckedOut, getStatementCacheNumCheckedOutDefaultUser, getStatementCacheNumCheckedOutStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatements, getStatementCacheNumConnectionsWithCachedStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatementsDefaultUser, getStatementCacheNumStatements, getStatementCacheNumStatementsAllUsers, getStatementCacheNumStatementsDefaultUser, getStatementDestroyerNumActiveThreads, getStatementDestroyerNumConnectionsInUse, getStatementDestroyerNumConnectionsInUseAllUsers, getStatementDestroyerNumConnectionsInUseDefaultUser, getStatementDestroyerNumConnectionsWithDeferredDestroyStatements, getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsAllUsers, getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsDefaultUser, getStatementDestroyerNumDeferredDestroyStatements, getStatementDestroyerNumDeferredDestroyStatementsAllUsers, getStatementDestroyerNumDeferredDestroyStatementsDefaultUser, getStatementDestroyerNumIdleThreads, getStatementDestroyerNumTasksPending, getStatementDestroyerNumThreads, getThreadPoolNumActiveThreads, getThreadPoolNumIdleThreads, getThreadPoolNumTasksPending, getThreadPoolSize, getUpTimeMillis, getUpTimeMillisDefaultUser, hardReset, initializeNamedConfig, isWrapperForThis, resetPoolManager, resetPoolManager, sampleLastAcquisitionFailureStackTrace, sampleLastAcquisitionFailureStackTraceDefaultUser, sampleLastCheckinFailureStackTrace, sampleLastCheckinFailureStackTraceDefaultUser, sampleLastCheckoutFailureStackTrace, sampleLastCheckoutFailureStackTraceDefaultUser, sampleLastConnectionTestFailureStackTrace, sampleLastConnectionTestFailureStackTraceDefaultUser, sampleLastIdleTestFailureStackTrace, sampleLastIdleTestFailureStackTraceDefaultUser, sampleStatementCacheStatus, sampleStatementCacheStatusDefaultUser, sampleStatementDestroyerStackTraces, sampleStatementDestroyerStatus, sampleThreadPoolStackTraces, sampleThreadPoolStatus, setLoginTimeout, setLogWriter, softReset, softResetAllUsers, softResetDefaultUser`

    - ### Methods inherited from class com.mchange.v2.c3p0.impl.PoolBackedDataSourceBase

      `addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, extraToStringInfo, getConnectionPoolDataSource, getExtensions, getIdentityToken, getNumHelperThreads, getParentLogger, getPropertyChangeListeners, getPropertyChangeSupport, getReference, getVetoableChangeListeners, getVetoableChangeSupport, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, setConnectionPoolDataSource, setDataSourceName, setExtensions, setIdentityToken, setNumHelperThreads`

    - ### Methods inherited from class com.mchange.v2.c3p0.impl.IdentityTokenResolvable

      `doResolve, readResolve, verifyResolve`

    - ### Methods inherited from class com.mchange.v2.c3p0.impl.AbstractIdentityTokenized

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.naming.Referenceable

      `getReference`

    - ### Methods inherited from interface com.mchange.v2.c3p0.PooledDataSource

      `close, close, getAllUsers, getDataSourceName, getEffectivePropertyCycle, getEffectivePropertyCycleDefaultUser, getExtensions, getIdentityToken, getLastAcquisitionFailure, getLastAcquisitionFailureDefaultUser, getLastCheckinFailure, getLastCheckinFailureDefaultUser, getLastCheckoutFailure, getLastCheckoutFailureDefaultUser, getLastConnectionTestFailure, getLastConnectionTestFailureDefaultUser, getLastIdleTestFailure, getLastIdleTestFailureDefaultUser, getNumBusyConnections, getNumBusyConnections, getNumBusyConnectionsAllUsers, getNumBusyConnectionsDefaultUser, getNumConnections, getNumConnections, getNumConnectionsAllUsers, getNumConnectionsDefaultUser, getNumFailedCheckinsDefaultUser, getNumFailedCheckoutsDefaultUser, getNumFailedIdleTestsDefaultUser, getNumHelperThreads, getNumIdleConnections, getNumIdleConnections, getNumIdleConnectionsAllUsers, getNumIdleConnectionsDefaultUser, getNumThreadsAwaitingCheckout, getNumThreadsAwaitingCheckoutDefaultUser, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnectionsAllUsers, getNumUnclosedOrphanedConnectionsDefaultUser, getNumUserPools, getStartTimeMillisDefaultUser, getStatementCacheNumCheckedOut, getStatementCacheNumCheckedOutDefaultUser, getStatementCacheNumCheckedOutStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatements, getStatementCacheNumConnectionsWithCachedStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatementsDefaultUser, getStatementCacheNumStatements, getStatementCacheNumStatementsAllUsers, getStatementCacheNumStatementsDefaultUser, getStatementDestroyerNumActiveThreads, getStatementDestroyerNumConnectionsInUse, getStatementDestroyerNumConnectionsInUseAllUsers, getStatementDestroyerNumConnectionsInUseDefaultUser, getStatementDestroyerNumConnectionsWithDeferredDestroyStatements, getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsAllUsers, getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsDefaultUser, getStatementDestroyerNumDeferredDestroyStatements, getStatementDestroyerNumDeferredDestroyStatementsAllUsers, getStatementDestroyerNumDeferredDestroyStatementsDefaultUser, getStatementDestroyerNumIdleThreads, getStatementDestroyerNumTasksPending, getStatementDestroyerNumThreads, getThreadPoolNumActiveThreads, getThreadPoolNumIdleThreads, getThreadPoolNumTasksPending, getThreadPoolSize, getUpTimeMillisDefaultUser, hardReset, sampleLastAcquisitionFailureStackTrace, sampleLastAcquisitionFailureStackTraceDefaultUser, sampleLastCheckinFailureStackTrace, sampleLastCheckinFailureStackTraceDefaultUser, sampleLastCheckoutFailureStackTrace, sampleLastCheckoutFailureStackTraceDefaultUser, sampleLastConnectionTestFailureStackTrace, sampleLastConnectionTestFailureStackTraceDefaultUser, sampleLastIdleTestFailureStackTrace, sampleLastIdleTestFailureStackTraceDefaultUser, sampleStatementCacheStatus, sampleStatementCacheStatusDefaultUser, sampleStatementDestroyerStackTraces, sampleStatementDestroyerStatus, sampleThreadPoolStackTraces, sampleThreadPoolStatus, setDataSourceName, setExtensions, softReset, softResetAllUsers, softResetDefaultUser`

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

- - ### Constructor Detail

    - #### AfterCloseLoggingComboPooledDataSource

          public AfterCloseLoggingComboPooledDataSource()

    - #### AfterCloseLoggingComboPooledDataSource

          public AfterCloseLoggingComboPooledDataSource(boolean autoregister)

    - #### AfterCloseLoggingComboPooledDataSource

          public AfterCloseLoggingComboPooledDataSource(java.lang.String configName)

  - ### Method Detail

    - #### getConnection

          public java.sql.Connection getConnection()
                                            throws java.sql.SQLException

      Specified by:
        `getConnection` in interface `javax.sql.DataSource`
      Overrides:
        `getConnection` in class `AbstractPoolBackedDataSource`
      Throws:
        `java.sql.SQLException`

    - #### getConnection

          public java.sql.Connection getConnection(java.lang.String user,
                                                   java.lang.String password)
                                            throws java.sql.SQLException

      Specified by:
        `getConnection` in interface `javax.sql.DataSource`
      Overrides:
        `getConnection` in class `AbstractPoolBackedDataSource`
      Throws:
        `java.sql.SQLException`